<?PHP
////++++++++++++++++ CONFIGURACIÓN FASE 1 DE PARAMETROS ESTANTAR EN PLATAFORMA ++++++++++++++++////

////Conexiones y tiempos de ejecución
$VpnEn=$_GET["VPN"] or $VpnEn=$_POST["VPN"];
$LtEn=$_GET["LT"] or $LtEn=$_POST["LT"];
ini_set('max_execution_time', $LtEn);
include ("../Conections/$VpnEn.php");

$Cve_Modulo = "CMOD201506100101";

///Arrastra Variables Fijas
$UsuEn=$_POST['UsuKP'] or $UsuEn=$_GET['UsuKP'];
$TokEn=$_POST["TokenKP"] or $TokEn=$_GET["TokenKP"];
$IDSeEn=$_POST["IdDAcce"] or $IDSeEn=$_GET["IdDAcce"];
$CtaSesionEn=$_POST['CtaSKP'] or $CtaSesionEn=$_GET['CtaSKP'];

	/////////Identificar personalización 2
		$sqlP2 = mysql_query("select * from wms_personaliza2 where ID='1'");
		if (mysql_numrows($sqlP2)==0) echo "";
		else{
		$registroP2=mysql_fetch_array($sqlP2);
		}
		if (mysql_numrows($sqlP2)>0)
		{
		$Titulo=$registroP2["TITULO_PAGINAS"];
		}
	
	/////////Identificar configuracion 1
		$sqlC1 = mysql_query("select * from wms_configura1 where ID='1'");
		if (mysql_numrows($sqlC1)==0) echo "";
		else{
		$registroC1=mysql_fetch_array($sqlC1);
		}
		if (mysql_numrows($sqlC1)>0)
		{
		$TimeInac=$registroC1["TIEMPO_INACTIVIDAD"];
		}

////++++++++++++++ FIN CONFIGURACIÓN FASE 1 DE PARAMETROS ESTANTAR EN PLATAFORMA ++++++++++++++////		
?>		
<!--<!DOCTYPE html>-->
<!--<html>-->
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">

<head>
<meta charset="utf-8">
<meta name="viewport" content="width=device-width"/>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">

<link rel="shortcut icon" href="../SIMA_Resourses/images/favicon.ico">
<title><?PHP echo $Titulo; ?></title>
<style type="text/css">
.Clase_TipoLetraTitulos {
	font-family: <?PHP echo $FuTi_Form; ?>;
	font-size:<?PHP echo $TaTi_Form; ?>px;
	color:<?PHP echo $BgTi_Form; ?>;
}
.Clase_TipoLetra {
	font-family: Microsoft Sans Serif;
	font-size:12px;
	color:#333;
}
.Clase_INPUT_Text {
	border: 1px solid <?PHP echo $Borde_Form; ?>;
	background: #FFFFFF;
	COLOR: #000000;
	FONT-FAMILY: Arial, Helvetica, sans-serif;
	FONT-SIZE: 12px;
	}

</style>
<link href="jquery-mobile/jquery.mobile-1.0.min.css" rel="stylesheet" type="text/css"/>
<script src="jquery-mobile/jquery-1.6.4.min.js" type="text/javascript"></script>
<script src="jquery-mobile/jquery.mobile-1.0.min.js" type="text/javascript"></script>

<!-- Inicia Validador de Inactividad -->
<script type="text/javascript">
var Inac;
function ini() {
  Inac = setTimeout('location="LogOff_Inactividad.php?TokenKP=<?PHP echo $TokEn;?>&UsuKP=<?PHP echo $UsuEn;?>&IdDAcce=<?PHP echo $IDSeEn;?>&CtaSKP=<?PHP echo $CtaSesionEn;?>&VPN=<?PHP echo $VpnEn;?>&LT=<?PHP echo $LtEn;?>"',<?PHP echo $TimeInac; ?>);
}
function parar() {
  clearTimeout(Inac);
  Inac = setTimeout('location="LogOff_Inactividad.php?TokenKP=<?PHP echo $TokEn;?>&UsuKP=<?PHP echo $UsuEn;?>&IdDAcce=<?PHP echo $IDSeEn;?>&CtaSKP=<?PHP echo $CtaSesionEn;?>&VPN=<?PHP echo $VpnEn;?>&LT=<?PHP echo $LtEn;?>"',<?PHP echo $TimeInac; ?>);
}
</script>

<!-- Termina Validador de Inactividad -->

</head>

<body onload="ini()" onkeypress="parar()" onclick="parar()"> 
<!-- Inicia Cuerpo de la Interfaz Gráfica -->
<div data-role="page" id="page">
<?PHP
////++++++++++++++++ CONFIGURACIÓN FASE 2 DE PARAMETROS ESTANTAR EN PLATAFORMA ++++++++++++++++////
		
	/////////Identifica si el token aun esta vigente
		$ExtAño = substr($TokEn, -28, 4);    // devuelve el año
		$ExtDia = substr($TokEn, -7, 2);    // devuelve el mes
		$ExtMes = substr($TokEn, -14, 2);    // devuelve el día
		$FechTok=$ExtDia."/".$ExtMes."/".$ExtAño;
		$FechAct=$PreTo4=date("d/m/Y");
		
		if ($FechTok<>$FechAct)
		{
			echo "<script>alert('La sesión del Token de seguridad ha caducado.\\nFavor de iniciar sesion nuevamente.');</script>";
			echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=LogOff_Force.php?UsuKP=$UsuEn&IdDAcce=$IDSeEn&TokenKP=$TokEn&CtaSKP=$CtaSesionEn&VPN=$VpnEn&LT=$LtEn'>";
		}
		else
		{ ///Inicia IF Sesion Token
		
	/////////Identificar permisos de acceso 1
		$sqlPA1 = mysql_query("select * from tabla_usuarios where USUARION='$UsuEn'");
		if (mysql_numrows($sqlPA1)==0) 
		{
			echo "<script>alert('CODIGO: LOGSYS#00001\\nEl Usuario en sesión ha sido truncado por inexistencia.'); </script>";
			echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=LogIn.php'>";
		}
		else
		{ ///Inicia IF Permiso de Acceso 1
		
	/////////Identificar permisos de acceso 2
		$sqlPA2 = mysql_query("select * from wms_configurapermisosnivelmodulo where USUARIO='$UsuEn' AND CVE_MODULO='$Cve_Modulo'");
		if (mysql_numrows($sqlPA2)==0) 
		{
			echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=SinPermisos.php?UsuKP=$UsuEn&IdDAcce=$IDSeEn&TokenKP=$TokEn&CtaSKP=$CtaSesionEn&VPN=$VpnEn&LT=$LtEn&Cve_ModuloKP=$Cve_Modulo'>";
		}
		else
		{ ///Inicia IF Permiso de Acceso 2
		
		/////////Identificar permisos de acceso 3 - Acreditación de Sesión Activa	
		$sqlPA3 = mysql_query("select * from tabla_controlsesiones where USUARIO='$UsuEn'");
		if (mysql_numrows($sqlPA3)==0) 
		{
		echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=LogOff_ReLogIn.php?UsuKP=$UsuEn&IdDAcce=$IDSeEn&TokenKP=$TokEn&CtaSKP=$CtaSesionEn&VPN=$VpnEn&LT=$LtEn'";
		}
		else
		{ ///Inicia IF Permiso de Acceso 3
		
		//////HORA y FECHA/////
			$Hora=time();
			$HoraOK=date("H:i:s",$Hora);
			$Fecha=date("Y/m/d");
			
			//////Identificar la Cuenta y la Bodega
			$sqlCR1 = mysql_query("select * from wms_configura_altacuentas where NOMBRE_CUENTA='$CtaSesionEn'");
			if (mysql_numrows($sqlCR1)==0) echo "";
			else{
			$registroCR1=mysql_fetch_array($sqlCR1);
			}
			if (mysql_numrows($sqlCR1)>0)
			{
			$CveBodCR1=$registroCR1["CVE_BODEGA"];
			$CveCueCR1=$registroCR1["CVE_CUENTA"];
			}
			
				$sqlCR2 = mysql_query("select * from wms_configura_altabodega where CVE_BODEGA='$CveBodCR1'");
				if (mysql_numrows($sqlCR2)==0) echo "";
				else{
				$registroCR2=mysql_fetch_array($sqlCR2);
				}
				if (mysql_numrows($sqlCR2)>0)
				{
				$NomBodCR2=$registroCR2["NOMBRE_BODEGA"];
				}
		
			////Arrastrando la Variable del Documento
				$documento=$_GET["documento"] or $documento=$_POST["documento"];
				$etiqueta=$_GET["etiqueta"] or $etiqueta=$_POST["etiqueta"];
				
			//validar etiqueta
			$et = mysql_query("SELECT ESTATUS FROM tabla_etimaster WHERE NO_ETIQUETA='$etiqueta' AND CVE_CUENTA='$CveCueCR1'");
			
			if(mysql_numrows($et)==0){echo "<script>alert('La etiqueta \'$etiqueta\' no esta dada de alta.')</script><META HTTP-EQUIV=Refresh CONTENT='0; URL=5-SurtidoEtiqueta.php?UsuKP=$UsuEn&IdDAcce=$IDSeEn&TokenKP=$TokEn&CtaSKP=$CtaSesionEn&VPN=$VpnEn&LT=$LtEn&documento=$documento'>";exit();
			}
			$eti=mysql_fetch_array($et);
			//USUARIO EN SESION Y DISPONIBILIDAD DE ETIQUETA
			if($eti['ESTATUS']!='ACTIVA' AND $eti['USUARIO']!="$UsuEn"){echo "<script>alert('La etiqueta \'$etiqueta\' no esta disponible.')</script><META HTTP-EQUIV=Refresh CONTENT='0; URL=5-SurtidoEtiqueta.php?UsuKP=$UsuEn&IdDAcce=$IDSeEn&TokenKP=$TokEn&CtaSKP=$CtaSesionEn&VPN=$VpnEn&LT=$LtEn&documento=$documento'>";exit();
			}
			
			$actualizar = mysql_query("UPDATE tabla_etimaster SET ESTATUS='EN USO', USUARIO_USO='$UsuEn', F_USO='$Fecha', H_USO='$HoraOK' WHERE DOCU_ASOCIADO='$documento' AND CVE_CUENTA='$CveCueCR1' AND CVE_BODEGA='$CveBodCR1' AND NO_ETIQUETA='$etiqueta'");
			
			//anden
			$docand = mysql_query("SELECT NO_ANDEN,TIPO_PROCESO FROM tabla_andenesocupacion WHERE NO_DOCUMENTO='$documento' AND CVE_CUENTA='$CveCueCR1'");
			if(mysql_numrows($docand)==0){echo "<script>alert('El anden \'$docand[NO_ANDEN]\' no esta asociado a un documento.')</script><META HTTP-EQUIV=Refresh CONTENT='0; URL=5-SurtidoEtiqueta.php?UsuKP=$UsuEn&IdDAcce=$IDSeEn&TokenKP=$TokEn&CtaSKP=$CtaSesionEn&VPN=$VpnEn&LT=$LtEn&documento=$documento'>";exit();
			}
			
			//Tipo de surtido
			$detalledoc=mysql_query("SELECT * FROM tabla_docsurtido WHERE NO_DOCUMENTO='$documento' AND CVE_CUENTA='$CveCueCR1'");
			$doc=mysql_fetch_array($detalledoc);
			
			if(!isset($_GET['reinicio']) and !isset($_POST['reinicio']) and !isset($_GET['ciclo']) and !isset($_POST['ciclo'])){
			if ($doc['EDO_DOCUMENTO'] !='POR SURTIR'){echo "<script>alert('El estado del documento $documento \'$doc[EDO_DOCUMENTO]\', no es apto para surtir.')</script><META HTTP-EQUIV=Refresh CONTENT='0; URL=5-SurtidoDoc.php?UsuKP=$UsuEn&IdDAcce=$IDSeEn&TokenKP=$TokEn&CtaSKP=$CtaSesionEn&VPN=$VpnEn&LT=$LtEn'>";exit();}
			else{
			$Hora=time();
			$HoraOK=date("H:i:s",$Hora);
			$Fecha=date("Y/m/d");
					$actualizar = mysql_query("UPDATE tabla_docsurtido SET EDO_DOCUMENTO='SURTIENDO',USUARIO_SURTIDO='$UsuEn', FECHA_SURTIDO='$Fecha', HORA_SURTIDO='$HoraOK' WHERE CVE_CUENTA='$CveCueCR1' AND CVE_BODEGA='$CveBodCR1' AND NO_DOCUMENTO='$documento'");
			}}
			
			$tipsurt="";
				if(strpos($doc['TIPO_SURTIDO'],'F') !== false){$tipsurt="Flujo contínuo";}
				if(strpos($doc['TIPO_SURTIDO'],'A') !== false){$tipsurt="Asignación";}
				if(strpos($doc['TIPO_SURTIDO'],'I') !== false){$tipsurt=$tipsurt." FIFO";}
				if(strpos($doc['TIPO_SURTIDO'],'E') !== false){$tipsurt=$tipsurt." FEFO";}
				if(strpos($doc['TIPO_SURTIDO'],'O') !== false){$tipsurt=$tipsurt." LIFO";}
				if(strpos($doc['TIPO_SURTIDO'],'L') !== false and strpos($doc['TIPO_SURTIDO'],'P') !== false){$tipsurt=$tipsurt." por Lote y Lote de producción";}else{
				if(strpos($doc['TIPO_SURTIDO'],'L') !== false){$tipsurt=$tipsurt." por Lote";}
				if(strpos($doc['TIPO_SURTIDO'],'P') !== false){$tipsurt=$tipsurt." por Lote de producción";}
				}
			$tipsurt=$tipsurt.".";
			
			$configsurtido= mysql_query("SELECT * FROM wms_configura_verificaciones_surtido WHERE CVE_CUENTA='$CveCueCR1'");
			
			if(mysql_numrows($configsurtido)==0){$ver_ub=true;$ver_pall=false;$ver_cod=true;$ver_lot=false;$ver_lotpr=false;}else{
			$cnfs= mysql_fetch_array($configsurtido);
			$ver_ub=$cnfs['UBICACION'];$ver_pall=$cnfs['PALLET'];$ver_cod=$cnfs['CODIGO'];$ver_lot=$cnfs['LOTE'];$ver_lotpr=$cnfs['LOTEP'];}
			
			$actualizar = mysql_query("UPDATE tabla_tareas SET ESTADO_TAREA='POR EJECUTAR' WHERE CVE_CUENTA='$CveCueCR1' AND CVE_BODEGA='$CveBodCR1' AND NO_DOCUMENTO='$documento' AND CANT_SURTIDA=0 AND ESTADO_TAREA='EJECUTANDOSE'");
						
			$ntareas= mysql_query("SELECT ID FROM tabla_tareas where NO_DOCUMENTO='$documento' AND CVE_CUENTA='$CveCueCR1' AND ESTADO_TAREA='POR EJECUTAR' ORDER BY PRIORIDAD ASC");
			
			if (mysql_numrows($ntareas)==0){
			//UPDT
			$actualizar = mysql_query("UPDATE tabla_docsurtido SET EDO_DOCUMENTO='SURTIDO' WHERE CVE_CUENTA='$CveCueCR1' AND CVE_BODEGA='$CveBodCR1' AND NO_DOCUMENTO='$documento'");
			$actualizar = mysql_query("UPDATE tabla_etimaster SET ESTATUS='ASOCIADA' WHERE CVE_CUENTA='$CveCueCR1' AND CVE_BODEGA='$CveBodCR1' AND NO_ETIQUETA='$etiqueta'");
			echo "<script>alert('Surtido Finalizado')</script>";
			//cerrar surtido
			echo"<META HTTP-EQUIV=Refresh CONTENT='0; URL=5-MenuSurtido.php?UsuKP=$UsuEn&IdDAcce=$IDSeEn&TokenKP=$TokEn&CtaSKP=$CtaSesionEn&VPN=$VpnEn&LT=$LtEn'>";
			exit();
			}else{
			if((isset($_GET['idtarea']) and $_GET['idtarea']!=null) or (isset($_POST['idtarea']) and $_POST['idtarea']!=null)){
			$idt = $_GET['idtarea'] or $idt = $_POST['idtarea'];
			$tareassurt= mysql_query("SELECT * FROM tabla_tareas where ID='$idt'");
			}else{
			$tareassurt= mysql_query("SELECT * FROM tabla_tareas where NO_DOCUMENTO='$documento' AND CVE_CUENTA='$CveCueCR1' AND ESTADO_TAREA='POR EJECUTAR' ORDER BY PRIORIDAD ASC limit 0,1");}
			$tarea = mysql_fetch_array($tareassurt);}
			
			if($tarea['OBSERVACIONES']=='GENERAR RESURTIDO'){
				//GENERAR RESURT Y ELIMINAR
				$yasurtido = mysql_query("SELECT SUM(CANT_SURTIDA) FROM tabla_tareas WHERE SKU='$tarea[SKU]' AND NO_DOCUMENTO='$tarea[NO_DOCUMENTO]' AND CVE_CUENTA='$CveCueCR1' AND CVE_BODEGA='$CveBodCR1'");
				$yas = mysql_fetch_array($yasurtido);
				$cxs = $tarea['CANT_XSURTIR']-$yas[0];
				//echo "<script>alert('total: $tarea[CANT_XSURTIR], yas: $yas[0], rest: $cxs')</script>";
				echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=5-GeneraResurtidoPicking.php?UsuKP=$UsuEn&IdDAcce=$IDSeEn&TokenKP=$TokEn&CtaSKP=$CtaSesionEn&VPN=$VpnEn&LT=$LtEn&NDocKp=$documento&tipo=A&pallet=$tarea[NO_PALLET]&EtMastKp=$etiqueta&lote=$tarea[LOTE]&lotep=$lotep&sku=$tarea[SKU]&cantidad=$tarea[CANT_XSURTIR]&ubic=$tarea[UBICACION]&erase=$tarea[ID]&cxs=$cxs&ret=".(urlencode("5-SurtidoAsigna.php?UsuKP=$UsuEn&IdDAcce=$IDSeEn&TokenKP=$TokEn&CtaSKP=$CtaSesionEn&VPN=$VpnEn&LT=$LtEn&documento=$documento&etiqueta=$etiqueta&ciclo=x"))."'>";
				exit();
				}
				
			if($tarea['OBSERVACIONES']=='RESURTIDO'){
				//VERIFICA ESTADO DEL RESURTIDO
				$edo = mysql_query("SELECT ESTADO FROM tabla_resurtidopicking WHERE ID='$tarea[IDENTIFICADOR_SURTIDO]'");
				$edores=mysql_fetch_array($edo);
				if($edores[0]=='EN EJECUCION'){
				echo "<script>alert('La ubicación está siendo resurtida en este momento.')</script>";
				}else{
				if($edores[0]=='CANCELADA'){
					//actualizar tabla de tareas
					$cancelacion = mysql_query("UPDATE tabla_tareas SET ESTADO_TAREA='EJECUTADA', CANT_XTAREA='0',CANT_SURTIDA='0', IDENTIFICADOR_SURTIDO='$documento', ETIQUETA_MASTER='$etiqueta' WHERE CVE_CUENTA='$CveCueCR1' AND CVE_BODEGA='$CveBodCR1' AND ID='$tarea[ID]' AND NO_DOCUMENTO='$documento'");
					//genera tarea
					$cantres=$tarea['CANT_XTAREA'];
					echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=5-SurtidoCreaTarea.php?UsuKP=$UsuEn&IdDAcce=$IDSeEn&TokenKP=$TokEn&CtaSKP=$CtaSesionEn&VPN=$VpnEn&LT=$LtEn&ubic=$tarea[UBICACION]&pallet=$pallet&documento=$documento&etiqueta=$etiqueta&lote=$tarea[LOTE]&lotep=$lotep&sku=$tarea[SKU]&cantidad=$cantres&back=".(urlencode("5-SurtidoAsigna.php?UsuKP=$UsuEn&IdDAcce=$IDSeEn&TokenKP=$TokEn&CtaSKP=$CtaSesionEn&VPN=$VpnEn&LT=$LtEn&documento=$documento&etiqueta=$etiqueta&ciclo=x"))."'>";
						exit();
					}
				else{
				if($edores[0]=='EJECUTADA')
				{
					//SI SE RESURTIO: UPDATE SET OBSERVACIONES='' Y RESTAR EXISTENCIAS
					//echo "<script>alert('updt')</script>";
					//$updt = mysql_query("UPDATE tabla_tareas SET OBSERVACIONES='',IDENTIFICADOR_SURTIDO='' WHERE ID='$tarea[ID]'");
					//$updt = mysql_query("UPDATE tabla_inventrio SET CANTIDAD=CANTIDAD-$tarea[CANT_XTAREA] WHERE NO_PALLET='$tarea[NO_PALLET]' AND CVE_CUENTA='$tarea[CVE_CUENTA]' AND CVE_BODEGA='$tarea[CVE_BODEGA]'");
					//echo "<script>alert('tarea resurtida')</script>";
					}
				else{
					//SI NO: ENVIAR A RESURTPICK(){}
					//echo "<script>alert('tarea sin resurtir')</script>";
					$idtarea=$tarea['IDENTIFICADOR_SURTIDO'];
					echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=5-Resurtidopicking.php?UsuKP=$UsuEn&IdDAcce=$IDSeEn&TokenKP=$TokEn&CtaSKP=$CtaSesionEn&VPN=$VpnEn&LT=$LtEn&documento=$documento&EtMastKp=$EtMasterEn&sku=$SkuAS&ubic=$ubic&lote=$lote&lotep=$lotep&idtarea=$idtarea&ret=".(urlencode("5-SurtidoAsigna.php?UsuKP=$UsuEn&IdDAcce=$IDSeEn&TokenKP=$TokEn&CtaSKP=$CtaSesionEn&VPN=$VpnEn&LT=$LtEn&documento=$documento&etiqueta=$etiqueta&ciclo=x"))."'>";
					exit();
					}}}}
					
			$Hora=time();
			$HoraOK=date("H:i:s",$Hora);
			$Fecha=date("Y/m/d");
			$actualizar = mysql_query("UPDATE tabla_tareas SET ESTADO_TAREA='EJECUTANDOSE', USUARIO_EJECUTO='$UsuEn', FECHA_EJECUTO='$Fecha', HORA_EJECUTO='$HoraOK' WHERE CVE_CUENTA='$CveCueCR1' AND CVE_BODEGA='$CveBodCR1' AND ID='$tarea[ID]' AND NO_DOCUMENTO='$documento'");
			
			if (!$ver_ub){echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=5-SurtidoAsigna2.php?UsuKP=$UsuEn&IdDAcce=$IDSeEn&TokenKP=$TokEn&CtaSKP=$CtaSesionEn&VPN=$VpnEn&LT=$LtEn&idtarea=$tarea[ID]&etiqueta=$etiqueta&documento=$documento&ubicacion=$tarea[UBICACION]'>"; exit();}
?>

	<div data-role="header">
		<h1>|| LOGSYS - WMS ||</h1>
	</div>
  <div data-role="content" align="center">	
		<!-- Inicia Cuerpo de la Pantalla -->
      <form id="form1" name="form1" method="post" action="5-SurtidoAsigna2.php">
        <table border="0" style="border-collapse: collapse" width="233">
  		<tr>
		    <td colspan="2" align="center"><font class="Clase_TipoLetra">Surtido - Ubicación</font></td>
	      </tr>
		  <tr><td></td></tr>
		  <tr>
		    <td width="102" align="center"><div align="left" class="Clase_TipoLetra"><b>Documento:</b></div></td>
		    <td width="121" align="center"><div align="left" class="Clase_TipoLetra"><?PHP echo $documento; ?></div></td>
	      </tr>
		  <tr>
		    <td colspan="2">
            <input type="hidden" name="UsuKP"
		value="<?PHP echo $UsuEn; ?>" />
              <input type="hidden" name="TokenKP"
		value="<?PHP echo $TokEn; ?>" />
              <input type="hidden" name="IdDAcce"
		value="<?PHP echo $IDSeEn; ?>" />
        	  <input type="hidden" name="CtaSKP"
		value="<?PHP echo $CtaSesionEn; ?>" />
              <input type="hidden" name="VPN"
		value="<?PHP echo $VpnEn; ?>" />
            <input type="hidden" name="LT"
		value="<?PHP echo $LtEn; ?>" />
            </td>
	      </tr>
		  <tr>
		    <td colspan="2">
        <input type="hidden" name="documento"
		value="<?PHP echo $documento; ?>" />
        <input type="hidden" name="etiqueta"
		value="<?PHP echo $etiqueta; ?>" />
		<input type="hidden" name="idtarea"
		value="<?PHP echo $tarea['ID']; ?>" />
        </td>
	      </tr>
		  <tr>
		    <td width="77"><font class="Clase_TipoLetra"><b># Tarea:</b></font></td>
		     <td width="113"><?PHP echo"<font class='Clase_TipoLetra'>$tarea[NO_TAREA]</font>"; ?></td>
             <td width="77">&nbsp;</td>
		  </tr>
		  <tr>
		    <td><font class="Clase_TipoLetra"><b>Descripci&oacuten:</b></font></td>
			<?php
				$desc= mysql_query("SELECT DESCRIPCION FROM tabla_altaproducto WHERE SKU='$tarea[SKU]' AND CUENTA='$CveCueCR1'");
				$descrip = mysql_fetch_array($desc);
				$descripcion = $descrip[0];
				?>
		    <td><?PHP echo"<font class='Clase_TipoLetra'>$descripcion</font>"; ?></td>
		    <td></td>		          
	      </tr>
		  <tr>
		    <td><font class="Clase_TipoLetra"><b>Cantidad:</b></font></td>
		    <td><?PHP echo"<font class='Clase_TipoLetra'>";
				$cnt=mysql_query("SELECT PZASXCAJA FROM tabla_altaproducto WHERE CUENTA='$CveCueCR1' AND CVE_BODEGA='$CveBodCR1' AND SKU='$tarea[SKU]'");
				$cn=mysql_fetch_array($cnt);
				$ppc=$cn['PZASXCAJA'];
				$CANT = $tarea['CANT_XTAREA'] - $tarea['CANT_SURTIDA'];
				echo $CANT." Piezas (".(floor($CANT/$ppc))." Caja(s) completa(s) + ".($CANT-((floor($CANT/$ppc))*$ppc))." Pieza(s) suelta(s)).";
			echo "</font>"; ?></td>
		    <td></td>
			</tr>
			<?php if($tarea['LOTE']!=NULL AND (strpos($doc['TIPO_SURTIDO'],'L') !== false)){echo "<tr><td><font class='Clase_TipoLetra'><b>Lote:</b></font></td><td><font class='Clase_TipoLetra'>$tarea[LOTE]</font></td><td></td></tr>";}?>
		  <?php if($tarea['LOTEP']!=NULL AND (strpos($doc['TIPO_SURTIDO'],'P') !== false)){echo "<tr><td><font class='Clase_TipoLetra'><b>Lote de producción:</b></font></td><td><font class='Clase_TipoLetra'>$tarea[LOTEP]</font></td><td></td></tr>";}?>
		<tr>
		    <td><font class="Clase_TipoLetra"><b>SKU:</b></font></td>
		    <td><?PHP echo"<font class='Clase_TipoLetra'>$tarea[SKU]</font>"; ?></td>
		    <td></td>		          
	    </tr>
			<tr>
		    <td><font class="Clase_TipoLetra"><b>Pallet:</b></font></td>
		    <td><?PHP echo"<font class='Clase_TipoLetra'>$tarea[NO_PALLET]</font>"; ?></td>
		    <td></td>		          
	    </tr>
		  <tr>
		    <td><font class="Clase_TipoLetra"><b>Ubicaci&oacuten:</b></font></td>
		    <td><?PHP echo"<font color='#FF0000' class='Clase_TipoLetra'><b><font color='#FF0000'>$tarea[UBICACION]</strong></font></b></font>"; ?></td>
		    <td></td>     
	      </tr>
		  <tr>
		    <td><font class="Clase_TipoLetra"><b>Ingrese ubicaci&oacuten:</b></font> </td>
		    <td><p>
		      <input name="ubicacion" type="text" id="nuevau" size="25" required="required" autofocus="autofocus" />
	        <font class="Clase_TipoLetra"></font></p></td>
		    <td></td></td>  
          </tr>
		  <tr>
		    <td align="center"><input type="submit" name="button" id="button" value="Ok" /></td>	
<script>
function cerrarem(){
var r = confirm("¿Realmente desea cerrar la etiqueta <?php echo $etiqueta?> ?");
if (r == true) {
    window.location='<?php echo "5-CerrarEM.php?UsuKP=$UsuEn&IdDAcce=$IDSeEn&TokenKP=$TokEn&CtaSKP=$CtaSesionEn&VPN=$VpnEn&LT=$LtEn&documento=$documento&etiqueta=$etiqueta";?>';}}
</script>
		<td align="center"><input type="button" value="Cerrar EM" onclick="cerrarem()" /></td>
	    </tr>
		<tr>
			<script>
function canc(){
if (confirm("¿Realmente desea cancelar esta tarea?")){
    window.location='<?php echo "5-Cancelar.php?UsuKP=$UsuEn&IdDAcce=$IDSeEn&TokenKP=$TokEn&CtaSKP=$CtaSesionEn&VPN=$VpnEn&LT=$LtEn&documento=$documento&etiqueta=$etiqueta&idtarea=$tarea[ID]&cantxst=$tarea[CANT_XTAREA]&ubict=$tarea[UBICACION]&skut=$tarea[SKU]&pallt=$tarea[NO_PALLET]";?>';}}
</script>
			  <td align="center"><input type="button" value="Cancelar" onclick="canc()" /></td>
			  
<script>
function terminar(){
var r = confirm("¿Realmente desea suspender el surtido del documento <?php echo $documento?> ?");
if (r == true) {
window.location='<?php echo "5-Terminar.php?UsuKP=$UsuEn&IdDAcce=$IDSeEn&TokenKP=$TokEn&CtaSKP=$CtaSesionEn&VPN=$VpnEn&LT=$LtEn&documento=$documento&etiqueta=$etiqueta";?>';}}
</script>
			<td align="center"><input type="button" value="Terminar" onclick="terminar()" /></td></tr>
		</table>
	</form>	
  </div>
	<div data-role="footer">
	  <h4><font size="2">www.logsyswms.com | Usuario: <?PHP echo $UsuEn; ?></font></h4>
  </div>
</div>
<!-- Termina Cuerpo de la Interfaz Gráfica -->
<?PHP
} ///Termina IF Permiso de Acceso 3
} ///Termina IF Permiso de Acceso 2
} ///Termina IF Permiso de Acceso 1
} ///Termina IF Sesion del Token
?>

</body>
</html>
